Topic: Instant rails 1.4

Hi, first time posting.

My questions are about instant rails.  I downloaded v1.4 yesterday, everything seemed to be okay, but when I try to create a new application in the rails_apps directory I get this message 'rails' is not recognized as an interanl or external command, operable program or batch file.  I am wondering if it is something with the environmental variables?  I had to adjust those numerous time with the one-click ruby installer.

My second question is about the instant rails tutorial and probably should be in a another area.   When instant rails was working, v1.3a, I was able to get everything set up.  The problem came when I was setting up the database in Navicat, I set the primary key to autoincrement, but when rails went to look for the database it couldn't find it.  I am stumped.  Any advice would be greatly appreciated.

Thanks,
Steve

Re: Instant rails 1.4

Hi switters,

Although I haven't used v1.4 of Instant Rails, I initially had the same issues with an older version, so I hope the following answer still applies :

In my case, I had forgotten to launch the use_ruby.cmd found in the base directory of your Instant Rails Install.

This command script simply sets the PATH variables for the Ruby, Rails, Gem, etc scripts and also the MySQL path.

So in other words, have you run the use_ruby.cmd script ?

Hope this helps, with both questions.

Re: Instant rails 1.4

Cheers Boyles - don't know if it helped the person with the original problem, but it sure helped me!

Re: Instant rails 1.4

Sure thing Mr Powell,

Glad it helped you.

Have fun with your Rails setup smile